package eol;
import static org.junit.Assert.*;

import org.junit.Test;


public class Lists extends BasicTest {


    @Test
    public void testCons0() {
        assertEquals( "(1.0 : 2.0)"+newline, go("1 : 2 ;" ) ) ;
    }
    
    @Test
    public void testCons1() {
        assertEquals( "[1.0, 2.0, 3.0]"+newline,
        		go("1 : (2 : (3 : [] )) ;" ) ) ;
    }
    
    @Test
    public void testCons2() {
        assertEquals( "[1.0, 2.0, 3.0]"+newline,
        		go("1 : 2 : 3 : []  ;" ) ) ;
    }
    
    @Test
    public void testCons3() {
        assertEquals( "[1.0, 2.0, 3.0]"+newline,
        		go("[1, 2, 3]  ;" ) ) ;
    }
    
    @Test
    public void testCons4() {
        assertEquals( "((1.0 : 2.0) : (3.0 : 4.0))"+newline,
        		go("( ( 1 : 2) : (3:4)) ;" ) ) ;
    }
}
