package eol;
import static org.junit.Assert.*;

import org.junit.Test;


public class UnaryOps extends BasicTest {
    
    @Test
    public void testTail() {
        assertEquals( "[2.0, 3.0]"+newline, go("tail [1, 2, 3]  ;" ) ) ;
    }
    
    @Test
    public void testHead() {
        assertEquals( "1.0"+newline, go("head [1, 2, 3]  ;" ) ) ;
    }
    
    @Test
    public void testNull0() {
        assertEquals( "\"true\""+newline, go("null [] ;" ) ) ;
    }
    
    @Test
    public void testNull1() {
        assertEquals( "[]"+newline, go("null (1+3) ;" ) ) ;
    }
    
    @Test
    public void testAtomic0() {
        assertEquals( "\"true\""+newline, go("atomic (1+3) ;" ) ) ;
    }
    
    @Test
    public void testAtomic1() {
        assertEquals( "[]"+newline, go("atomic (1 : 3) ;" ) ) ;
    }

}
